/*
 * @file
 * Overall specifications for Corporate+.
 */

body {
    font-size: 16px;
    font-weight: 300;
    line-height: 1.5;
    /*color: #183152;*/
    color: #333;
    text-rendering: optimizeLegibility;
}


/*Paragraphs and links*/

p {
    margin: 0;
    padding: 0 0 15px 0;
}

p.large {
    font-size: 22px;
    line-height: 1.45;
}

p.highlighted {
    background-color: #f4f4f4;
    display: inline-block;
    padding: 10px 40px;
    margin-bottom: 45px;
    border-radius: 50px;
    font-size: 16px;
}

.region--gray-background p.highlighted {
    background-color: #ffffff;
}

.region--light-typography p.highlighted {
    background-color: rgba(255, 255, 255, 0.1);
}

a {
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

a:hover {
    text-decoration: none;
}

a:focus {
    outline: none;
    text-decoration: none;
}

.region--light-typography.region--dark-background a.is-active {
    color: #ddd;
}

a.link--bordered,
.link--bordered a {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    text-decoration: none;
}

a.link--bordered:hover,
.link--bordered a:hover {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    text-decoration: none;
    border-color: transparent;
}

.region--light-typography a.link--bordered,
.region--light-typography .link--bordered a {
    border-color: #ffffff;
    text-decoration: none;
}

.region--light-typography a.link--bordered:hover,
.region--light-typography .link--bordered a:hover {
    border-color: transparent;
    text-decoration: none;
}

a.link--hover-style-2,
.link--hover-style-2 a {
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    position: relative;
    display: block;
}

a.link--hover-style-2:before,
.link--hover-style-2 a:before {
    position: absolute;
    left: -15px;
    top: 50%;
    margin-top: -5px;
    font-family: "FontAwesome";
    font-size: 10px;
    line-height: 1;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    -webkit-transition-delay: 0s;
    /* Safari */
    transition-delay: 0s;
    opacity: 0;
    filter: alpha(opacity=0);
    content: "\f105";
}

a.link--hover-style-2:hover,
.link--hover-style-2 a:hover {
    padding-left: 20px;
    text-decoration: none;
}

a.link--hover-style-2:hover:before,
.link--hover-style-2 a:hover:before {
    left: 0;
    opacity: 1;
    filter: alpha(opacity=100);
    -webkit-transition-delay: 0.1s;
    /* Safari */
    transition-delay: 0.1s;
}

.region--light-typography.region--dark-background a.link--hover-style-2:before,
.region--light-typography.region--dark-background .link--hover-style-2 a:before {
    color: #ffffff;
}

.link--hover-style-3 {
    background-repeat: repeat-x;
    background-size: 0px 0px;
    background-position: 0 25%;
    transition: 150ms ease-in-out;
}

.link--hover-style-3:hover {
    background-size: 1.2em 1.4em;
    color: #fff;
    text-decoration: none;
}

.region--light-typography .link--hover-style-3:hover {
    background-image: linear-gradient(#ffffff 0%, #ffffff 100%);
}

.region--light-typography.region--dark-background .text--dark,
.region--light-typography.region--black-background .text--dark {
    color: #ffffff;
}

.region--light-typography.region--colored-background .text--colored,
.region--light-typography.region--black-background .text--colored {
    color: #ffffff;
}


/*Regions with light typography*/

.region--light-typography {
    color: #ffffff;
}

.subfooter.region--light-typography.region--black-background {
    color: #9c9c9c;
}

.region--light-typography a,
.region--light-typography a.link--dark,
.region--light-typography .link--dark a {
    color: #ffffff;
    text-decoration: underline;
}

.region--light-typography a:hover,
.region--light-typography a:focus,
.region--light-typography a.link--dark:hover,
.region--light-typography a.link--dark:focus,
.region--light-typography .link--dark a:hover,
.region--light-typography .link--dark a:focus {
    color: #ffffff;
    text-decoration: none;
}

.region--light-typography.region--dark-background a:hover,
.region--light-typography.region--dark-background a:focus {
    color: #ffffff;
    text-decoration: none;
}


/*Basic elements*/

img {
    height: auto;
    max-width: 100%;
}

img.img--bordered,
.img--bordered img {
    border: 1px solid #e5e5e5;
}

.region--light-typography img.img--bordered,
.region--light-typography .img--bordered img {
    border-color: rgba(255, 255, 255, 0.15);
}

code,
pre {
    word-wrap: break-word;
    word-break: break-all;
    white-space: pre;
    white-space: pre-wrap;
    font-family: 'Source Code Pro', Consolas, Monaco, Courier;
}

pre {
    background: #f6f6f6;
    border: none;
    border-left: 10px solid #d3d1cd;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    padding: 20px;
    font-size: 12px;
    max-height: 57px;
    overflow: hidden;
    margin: 40px 0 40px 45px;
}

pre:hover {
    max-height: 10000px;
    -webkit-transition: all ease-in-out 2s;
    -moz-transition: all ease-in-out 2s;
    -o-transition: all ease-in-out 2s;
    -ms-transition: all ease-in-out 2s;
    transition: all ease-in-out 2s;
}

blockquote {
    font-size: 22px;
    padding: 0 0 0 150px;
    border-left: none;
    position: relative;
    margin: 40px 0 50px;
}

p+blockquote {
    margin-top: 30px;
}

blockquote p {
    line-height: 1.4;
}


/*blockquote quote symbol*/

blockquote:before {
    position: absolute;
    font-family: Georgia, Times New Roman, Serif;
    content: "“";
    left: 70px;
    top: 0;
    font-style: normal;
    font-size: 122px;
    line-height: 1;
    font-weight: 400;
}

.region--colored-background blockquote:before,
.region--black-background blockquote:before,
.region--dark-background blockquote:before {
    color: #ffffff;
}

@media (max-width: 767px) {
    blockquote {
        padding: 0 0 0 50px;
    }
    blockquote:before {
        font-size: 90px;
        left: 0;
    }
}

hr {
    border-top: 1px solid #ebebeb;
    margin-bottom: 40px;
    margin-top: 40px;
}

.region--gray-background hr {
    border-color: #e7e7e7;
}

.region--light-typography hr {
    border-color: #ffffff;
}


/*Headings*/

h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: 1.20;
    padding: 0;
    margin: 20px 0 10px 0;
    font-weight: 700;
    text-transform: uppercase;
    color: #363636;
}

.region--light-typography h1,
.region--light-typography h2,
.region--light-typography h3,
.region--light-typography h4,
.region--light-typography h5,
.region--light-typography h6 {
    color: #ffffff;
}

.headings-wide-spacing-enabled h1,
.headings-wide-spacing-enabled h2,
.headings-wide-spacing-enabled h3,
.headings-wide-spacing-enabled h4,
.headings-wide-spacing-enabled h5,
.headings-wide-spacing-enabled h6 {
    letter-spacing: 0.2em;
    text-transform: uppercase;
}

h1 {
    font-size: 36px;
    font-weight: 400;
}

h2 {
    font-size: 28px;
}

h3 {
    font-size: 22px;
}

h4 {
    font-size: 20px;
}

h5 {
    font-size: 18px;
}

h6 {
    font-size: 17px;
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
    text-decoration: none;
}

h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover,
h5 a:hover,
h6 a:hover {
    text-decoration: underline;
}

.region--light-typography h1 a,
.region--light-typography h2 a,
.region--light-typography h3 a,
.region--light-typography h4 a,
.region--light-typography h5 a,
.region--light-typography h6 a {
    text-decoration: underline;
    color: #ffffff;
}

.region--light-typography h1 a:hover,
.region--light-typography h2 a:hover,
.region--light-typography h3 a:hover,
.region--light-typography h4 a:hover,
.region--light-typography h5 a:hover,
.region--light-typography h6 a:hover {
    text-decoration: none;
    color: #ffffff;
}

h1.title {
    margin-top: 0;
}

h1.page-title {
    font-size: 50px;
    margin-bottom: 0.5em;
}


/*resposinve text align*/

@media (min-width: 1200px) {
    .lg-text-center {
        text-align: center;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .md-text-center {
        text-align: center;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .sm-text-center {
        text-align: center;
    }
}

@media (max-width: 767px) {
    .xs-text-center {
        text-align: center;
    }
}


/*Block title*/

.block-title {
    font-size: 22px;
    font-weight: 700;
    margin: 0 0 10px 0;
}

.block-title--large {
    font-size: 40px;
    margin-bottom: 15px;
}

.block-title--extra-large {
    font-size: 50px;
    margin-bottom: 15px;
}

@media (max-width: 767px) {
    .block-title--large {
        font-size: 30px;
    }
    .block-title--extra-large {
        font-size: 35px;
    }
}

.headings-wide-spacing-enabled .block-title--large {
    letter-spacing: 0.55em;
    text-transform: uppercase;
}

h2.block-title {
    font-size: 22px;
    font-weight: 700;
    margin: 0 0 10px 0;
}

h2.title,
nav>h2,
.block-search>h2 {
    font-size: 22px;
    margin: 0 0 10px 0;
}


/*footer regions*/

.footer__section h2.title,
.footer__section nav>h2,
.footer__section .block-search>h2,
.footer-bottom__section h2.title,
.footer-bottom__section nav>h2,
.footer-bottom__section .block-search>h2,
.subfooter__section h2.title,
.subfooter__section nav>h2,
.subfooter__section .block-search>h2 {
    font-size: 24px;
    margin-bottom: 25px;
}

.region--dark-typography .footer__section h2.title,
.region--dark-typography .footer__section nav>h2,
.region--dark-typography .footer__section .block-search>h2,
.region--dark-typography .footer-bottom__section h2.title,
.region--dark-typography .footer-bottom__section nav>h2,
.region--dark-typography .footer-bottom__section .block-search>h2,
.region--dark-typography .subfooter__section h2.title,
.region--dark-typography .subfooter__section nav>h2,
.region--dark-typography .subfooter__section .block-search>h2 {
    color: #666666;
}


/* block titles at full width regions */

.col-md-12 h2.title,
.col-md-12 nav>h2,
.col-md-12 .block-search>h2 {
    font-size: 36px;
    margin: 20px 0 30px;
    font-weight: 400;
    text-align: center;
}


/*slideout region*/

.slideout__section h2.title,
.slideout__section nav>h2,
.slideout__section .block-search>h2 {
    margin: 0 0 20px 0;
}


/* Content region overrides */

.region-content h2.title,
.region-content nav>h2,
.region-content .block-search>h2 {
    margin: 20px 0;
}


/*spacing*/

.bottom-spacing-small {
    padding-bottom: 25px;
}

.bottom-spacing-medium {
    padding-bottom: 50px;
}

.bottom-spacing-large {
    padding-bottom: 90px;
}

.top-spacing-small {
    padding-top: 25px;
}

.top-spacing-medium {
    padding-top: 50px;
}

.top-spacing-large {
    padding-top: 90px;
}


/*misc*/

.mt-no-opacity {
    opacity: 0;
}


/*Responsivity for mobile */

@media (max-width: 620px) {
    .logo-sn {
        margin-top: 10px;
        WIDTH: 170px;
        margin-bottom: 60px;
    }
}
